.contacts {
  --contact-padding-top: 6.875rem;
  --contact-padding-bottom: 6.875rem;
  overflow: hidden; }
  @media screen and (min-width: 137.5625rem) {
    .contacts {
      --contact-padding-top: 9.375rem;
      --contact-padding-bottom: 9.375rem; } }
  @media screen and (min-width: 160.0625rem) {
    .contacts {
      --contact-padding-top: 5.85938vw;
      --contact-padding-bottom: 5.85938vw; } }
  @media screen and (max-width: 106.25rem) {
    .contacts {
      --contact-padding-top: 4.375rem;
      --contact-padding-bottom: 4.375rem; } }
  @media screen and (max-width: 85rem) {
    .contacts {
      --contact-padding-top: 3.125rem;
      --contact-padding-bottom: 3.75rem; } }
  @media screen and (max-width: 39.375rem) {
    .contacts {
      --contact-padding-top: 2.5rem;
      --contact-padding-bottom: 2.5rem; } }
  @media screen and (min-width: 137.5625rem) {
    .contacts_column .contacts__wrapper {
      grid-template-columns: repeat(2, 1fr); } }
  @media screen and (max-width: 106.25rem) {
    .contacts .section__name {
      display: none; } }
  @media screen and (max-width: 85rem) {
    .contacts__content {
      position: relative;
      right: var(--container-offset);
      width: calc(100% + (var(--container-offset) * 2)); } }
  .contacts__wrapper {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    -webkit-box-align: stretch;
        -ms-flex-align: stretch;
            align-items: stretch;
    -webkit-box-pack: stretch;
        -ms-flex-pack: stretch;
            justify-content: stretch;
    -webkit-column-gap: var(--grid-column-gap);
       -moz-column-gap: var(--grid-column-gap);
            column-gap: var(--grid-column-gap);
    row-gap: var(--grid-row-gap); }
    @media screen and (min-width: 137.5625rem) {
      .contacts__wrapper {
        grid-template-columns: 58.5rem 1fr; } }
    @media screen and (min-width: 160.0625rem) {
      .contacts__wrapper {
        grid-template-columns: 36.5625vw 1fr; } }
    @media screen and (max-width: 85rem) {
      .contacts__wrapper {
        row-gap: var(--grid-column-gap); } }
    @media screen and (max-width: 39.375rem) {
      .contacts__wrapper {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
            -ms-flex-direction: column;
                flex-direction: column;
        row-gap: 0.75rem; } }
  .contacts__map {
    position: relative;
    width: 100%;
    height: auto; }
    @media screen and (max-width: 39.375rem) {
      .contacts__map {
        height: 21.25rem; } }
    .contacts__map_fixed {
      grid-column: 1/3;
      height: 43.75rem; }
      @media screen and (min-width: 160.0625rem) {
        .contacts__map_fixed {
          height: 27.34375vw; } }
      @media screen and (max-width: 106.25rem) {
        .contacts__map_fixed {
          height: 32.8125rem; } }
      @media screen and (max-width: 85rem) {
        .contacts__map_fixed {
          height: 21.25rem; } }
      @media screen and (max-width: 39.375rem) {
        .contacts__map_fixed {
          grid-column: 1/2; } }
    .contacts__map .ya-map {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%; }
  .contacts-info {
    padding: var(--contact-padding-top) calc(var(--container-secondary-offset) - var(--container-offset)) var(--contact-padding-bottom);
    width: 100%;
    height: auto;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: start;
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: start;
    gap: 2.1875rem;
    background-color: var(--bg-light); }
    @media screen and (min-width: 160.0625rem) {
      .contacts-info {
        gap: 1.36719vw; } }
    @media screen and (max-width: 106.25rem) {
      .contacts-info {
        gap: 1.875rem; } }
    @media screen and (max-width: 85rem) {
      .contacts-info {
        padding: var(--contact-padding-top) var(--container-offset) var(--contact-padding-bottom);
        gap: 1.5625rem; } }
    @media screen and (max-width: 39.375rem) {
      .contacts-info {
        gap: 1.25rem; } }
    .contacts-info__content {
      width: 100%;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
          -ms-flex-direction: column;
              flex-direction: column;
      -webkit-box-align: start;
          -ms-flex-align: start;
              align-items: start;
      -webkit-box-pack: start;
          -ms-flex-pack: start;
              justify-content: start;
      gap: 1.875rem; }
      @media screen and (min-width: 160.0625rem) {
        .contacts-info__content {
          gap: 1.17188vw; } }
      @media screen and (max-width: 106.25rem) {
        .contacts-info__content {
          gap: 1.5625rem; } }
      @media screen and (max-width: 85rem) {
        .contacts-info__content {
          gap: 1.25rem; } }
      @media screen and (max-width: 39.375rem) {
        .contacts-info__content {
          gap: 0.9375rem; } }
    .contacts-info__wrapper {
      width: 100%;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
          -ms-flex-direction: column;
              flex-direction: column;
      -webkit-box-align: start;
          -ms-flex-align: start;
              align-items: start;
      -webkit-box-pack: start;
          -ms-flex-pack: start;
              justify-content: start;
      gap: 1.875rem; }
      @media screen and (min-width: 160.0625rem) {
        .contacts-info__wrapper {
          gap: 1.17188vw; } }
      @media screen and (max-width: 106.25rem) {
        .contacts-info__wrapper {
          gap: 1.5625rem; } }
      @media screen and (max-width: 39.375rem) {
        .contacts-info__wrapper {
          gap: 1.25rem; } }
    .contacts-info__list {
      width: 100%;
      display: grid;
      grid-template-columns: repeat(2, 1fr);
      -webkit-box-align: stretch;
          -ms-flex-align: stretch;
              align-items: stretch;
      -webkit-box-pack: start;
          -ms-flex-pack: start;
              justify-content: start;
      -webkit-column-gap: 1.875rem;
         -moz-column-gap: 1.875rem;
              column-gap: 1.875rem;
      row-gap: 1.5625rem; }
      @media screen and (min-width: 160.0625rem) {
        .contacts-info__list {
          -webkit-column-gap: 1.17188vw;
             -moz-column-gap: 1.17188vw;
                  column-gap: 1.17188vw;
          row-gap: 0.97656vw; } }
      @media screen and (max-width: 106.25rem) {
        .contacts-info__list {
          row-gap: 1.25rem; } }
      @media screen and (max-width: 85rem) {
        .contacts-info__list {
          -webkit-column-gap: 0.9375rem;
             -moz-column-gap: 0.9375rem;
                  column-gap: 0.9375rem; } }
      @media screen and (max-width: 39.375rem) {
        .contacts-info__list {
          row-gap: 0.9375rem; } }
    .contacts-info__item {
      width: 100%;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
          -ms-flex-direction: column;
              flex-direction: column;
      -webkit-box-align: start;
          -ms-flex-align: start;
              align-items: start;
      -webkit-box-pack: end;
          -ms-flex-pack: end;
              justify-content: end;
      gap: 0.3125rem; }
      @media screen and (min-width: 160.0625rem) {
        .contacts-info__item {
          gap: 0.19531vw; } }
      .contacts-info__item_row {
        grid-column: 1/3; }
    .contacts-info__row {
      width: 100%;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-orient: horizontal;
      -webkit-box-direction: normal;
          -ms-flex-direction: row;
              flex-direction: row;
      -webkit-box-align: start;
          -ms-flex-align: start;
              align-items: start;
      -webkit-box-pack: stretch;
          -ms-flex-pack: stretch;
              justify-content: stretch;
      -webkit-column-gap: 1.875rem;
         -moz-column-gap: 1.875rem;
              column-gap: 1.875rem; }
      @media screen and (min-width: 160.0625rem) {
        .contacts-info__row {
          -webkit-column-gap: 1.17188vw;
             -moz-column-gap: 1.17188vw;
                  column-gap: 1.17188vw; } }
      @media screen and (max-width: 85rem) {
        .contacts-info__row {
          -webkit-column-gap: 0.9375rem;
             -moz-column-gap: 0.9375rem;
                  column-gap: 0.9375rem; } }
    .contacts-info__name {
      display: block;
      width: 100%;
      color: var(--text-dark-tertiary); }
    .contacts-info__text {
      width: 100%;
      display: block;
      color: var(--text-dark-primary);
      font: var(--font-body-S);
      text-decoration: none;
      white-space: initial;
      -webkit-transition: color var(--animation-timing) var(--cubic-bezier);
      transition: color var(--animation-timing) var(--cubic-bezier); }
    .contacts-info a.contacts-info__text {
      position: relative; }
      @media (any-hover: hover) {
        .contacts-info a.contacts-info__text:hover {
          color: var(--accent-light-primary); } }
      .contacts-info a.contacts-info__text::before {
        content: "";
        position: absolute;
        top: -0.625rem;
        left: -0.625rem;
        width: calc(100% + 0.625rem * 2);
        height: calc(100% + 0.625rem * 2);
        background-color: transparent;
        opacity: 0; }
        @media screen and (min-width: 160.0625rem) {
          .contacts-info a.contacts-info__text::before {
            top: -0.39062vw;
            left: -0.39062vw;
            width: calc(100% + 0.39062vw * 2);
            height: calc(100% + 0.39062vw * 2); } }
  .contacts-form {
    padding: var(--contact-padding-top) calc(var(--container-secondary-offset) - var(--container-offset)) var(--contact-padding-bottom);
    width: 100%;
    height: auto;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
    -webkit-box-align: start;
        -ms-flex-align: start;
            align-items: start;
    -webkit-box-pack: start;
        -ms-flex-pack: start;
            justify-content: start;
    gap: 2.1875rem;
    background-color: var(--bg-light); }
    @media screen and (min-width: 160.0625rem) {
      .contacts-form {
        gap: 1.36719vw; } }
    @media screen and (max-width: 106.25rem) {
      .contacts-form {
        gap: 1.875rem; } }
    @media screen and (max-width: 85rem) {
      .contacts-form {
        padding: var(--contact-padding-top) var(--container-offset) var(--contact-padding-bottom);
        gap: 1.5625rem; } }
    @media screen and (max-width: 39.375rem) {
      .contacts-form {
        gap: 1.25rem; } }
    .contacts-form__head {
      width: 100%;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
          -ms-flex-direction: column;
              flex-direction: column;
      -webkit-box-align: start;
          -ms-flex-align: start;
              align-items: flex-start;
      -webkit-box-pack: start;
          -ms-flex-pack: start;
              justify-content: flex-start;
      gap: 0.9375rem; }
      @media screen and (min-width: 160.0625rem) {
        .contacts-form__head {
          gap: 0.58594vw; } }
    .contacts-form__title, .contacts-form__subtitle {
      width: 100%;
      color: var(--text-dark-primary); }
    .contacts-form__form {
      margin-top: auto;
      width: 100%;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
          -ms-flex-direction: column;
              flex-direction: column;
      -webkit-box-align: start;
          -ms-flex-align: start;
              align-items: flex-start;
      -webkit-box-pack: start;
          -ms-flex-pack: start;
              justify-content: flex-start;
      gap: 1.875rem; }
      @media screen and (min-width: 160.0625rem) {
        .contacts-form__form {
          gap: 1.17188vw; } }
      @media screen and (max-width: 85rem) {
        .contacts-form__form {
          gap: 1.25rem; } }
    .contacts-form__input {
      width: 100%;
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-orient: vertical;
      -webkit-box-direction: normal;
          -ms-flex-direction: column;
              flex-direction: column;
      -webkit-box-align: start;
          -ms-flex-align: start;
              align-items: flex-start;
      -webkit-box-pack: start;
          -ms-flex-pack: start;
              justify-content: flex-start;
      gap: 1.25rem; }
      @media screen and (min-width: 160.0625rem) {
        .contacts-form__input {
          gap: 0.78125vw; } }
      @media screen and (max-width: 85rem) {
        .contacts-form__input {
          gap: 0.625rem; } }
      .contacts-form__input .text-input {
        width: 100%; }
    .contacts-form__policy {
      color: var(--text-dark-primary); }
      @media screen and (max-width: 85rem) {
        .contacts-form__policy {
          margin-top: 0.3125rem; } }
      .contacts-form__policy a {
        color: var(--accent-light-primary);
        text-decoration: none;
        -webkit-transition: color var(--animation-timing) var(--cubic-bezier);
        transition: color var(--animation-timing) var(--cubic-bezier); }
        @media (any-hover: hover) {
          .contacts-form__policy a:hover {
            color: var(--accent-light-secondary); } }
    .contacts-form__submit {
      width: 100%; }
      .contacts-form__submit .button {
        width: 100%; }

/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
